Author Topic: Diablo 2 - LOD  (Read 697 times)

Offline cK4

  • Newbie
  • **
  • Posts: 7
Diablo 2 - LOD
« on: February 05, 2016, 08:36:06 PM »
Hi
First thanks for porting LOD !!!!

Yesterday i installed Diablo 2 classic version.
it works fine and no issues with that.

Today i try to install the brand new LOD expansion.
I do the steps like discribed, downloaded the installer/client from battlenet etc.
it downloaded the LOD Files correctly.
Then i start the installation LOD. First choose the installer.exe and the LOD Installation screen appears.

But it says i have to install Diablo 2 first !
As I wrote Diablo 2 is installed and works fine… :-(

Any suggestions?
thanks for help and your work so far !

Offline vitormm

  • Developer
  • Administrator
  • Master Porter
  • *****
  • Posts: 482
Re: Diablo 2 - LOD
« Reply #1 on: February 05, 2016, 09:24:46 PM »
Hello cK4,

You are probably using Porting Kit 1.8.151. That version had a bug if you tried to install a game expansion: it would wipe the original wrapper instead of installing inside the original one. That means Diablo II would have been removed from your computer. If that's the case, trash your wrapper, update Porting Kit and try again, installing Diablo II and then the expansion :)

If you are using an older version, then it created a different wrapper. Diablo II and the expansion must be in the same wrapper to work. In that case, update PK, thrash the LOD wrapper, ask to install it again and when requested to select a port press Cancel; now you are going to be able to select any Wineskin wrapper. Select your Diablo II wrapper and wait :)
« Last Edit: February 05, 2016, 09:30:47 PM by vitormm »

Offline cK4

  • Newbie
  • **
  • Posts: 7
Re: Diablo 2 - LOD
« Reply #2 on: February 05, 2016, 10:52:16 PM »
hmmm
thanks for your help so far….
But i still have issues with that.

As you wrote i used the older PK version.
I removed D2 and LOD and updated the PK to version 1.9.
Then i install D2 and everything went fine.

After that i choose the LOD port and choose download.
PK start to install the wrapper and after a while it says „requesting installer“ and open a window to choose it.
BUT i can not choose anything. All Files are „grey“ and not clickable.
So i click cancel and PK send „Error Diablo 2……installation failed“ in the right corner.

When i try to right click on LOD in the library list „launch wineskin“ and choose „install software“ the installer is clickable and the LOD install screen appears. BUT then it says again i have to buy Diablo 2 :-(((

Offline vitormm

  • Developer
  • Administrator
  • Master Porter
  • *****
  • Posts: 482
Re: Diablo 2 - LOD
« Reply #3 on: February 05, 2016, 11:06:07 PM »
How your "Diablo II - Lords of Destruction" installer is called? I mean, which is the filename?

Offline cK4

  • Newbie
  • **
  • Posts: 7
Re: Diablo 2 - LOD
« Reply #4 on: February 05, 2016, 11:21:09 PM »
the Downloader from Battlenet
Downloader_Diablo2_Lord_of_Destruction_enGB.exe

the installer File after Download from Battlenet
Installer.exe (with the file "Installer Tome.mpq“ in the dir.)

Offline vitormm

  • Developer
  • Administrator
  • Master Porter
  • *****
  • Posts: 482
Re: Diablo 2 - LOD
« Reply #5 on: February 06, 2016, 12:52:13 AM »
the Downloader from Battlenet
Downloader_Diablo2_Lord_of_Destruction_enGB.exe

the installer File after Download from Battlenet
Installer.exe (with the file "Installer Tome.mpq“ in the dir.)

It seems that Paul tested using the american installer of the game (Downloader_Diablo2_Lord_of_Destruction_enUS.exe). I don't know how Battlenet works since I don't have any game there, but there is any chance you can get that installer legitimately instead of the Great Britain one?

Offline cK4

  • Newbie
  • **
  • Posts: 7
Re: Diablo 2 - LOD
« Reply #6 on: February 06, 2016, 12:43:27 PM »
Hi and thanks for your reply !

yes, you can choose the installer in battlenet for each region available.

So i removed both from the MAC, D2 and LOD and make a „clean“ start with both us versions from Battlenet.

D2 works completely fine like always, but after that when LOD finished the download and load the install title screen it says „buy Diablo 2“ again :-(
The only difference now: The installer.exe is now „clickable“ and i can choose the installer e.g. in wine.

Nobody else here tested LOD so far ?!

Thanks for your patience...

Offline cK4

  • Newbie
  • **
  • Posts: 7
Re: Diablo 2 - LOD
« Reply #7 on: February 09, 2016, 04:14:53 PM »
Hello again :-)

Finally I found a weird way to install and play LOD !

I install the wrapper and when it start the downloader i cancel it.
PK says installation of LOD failed, but in the local tab appears LOD.
Then i choose the D2 classic entry !!!!!  in local tab, "launch wineskin" and choose install software.
instead of choosing the D2 installer I choose the LOD installer and it works !!!

Now i have to start D2 to play LOD but better then nothing ^^


Offline vitormm

  • Developer
  • Administrator
  • Master Porter
  • *****
  • Posts: 482
Re: Diablo 2 - LOD
« Reply #8 on: February 09, 2016, 05:52:44 PM »
Good to know it's working for you now  ;D

Graven

  • Guest
Re: Diablo 2 - LOD
« Reply #9 on: February 13, 2016, 12:46:52 AM »
So like the OP, I installed Diablo 2 using the Porting Kit and it works great. However, I can't do anything with LOD. I can install it with wineskin, but I can't get it to install with Porting Kit. I find it on the server tab and hit Download, then Agree, then the "?" box when asked to choose a source (just like I did with D2). I then hit install now. However, it then asks me to select a file from my computer and everything is greyed out. Any thoughts?

Offline cK4

  • Newbie
  • **
  • Posts: 7
Re: Diablo 2 - LOD
« Reply #10 on: February 13, 2016, 10:10:13 AM »
Hi
Like vitormm wrote, you have to download the exact US Files from Battlenet
Downloader_Diablo2_Lord_of_Destruction_enUS.exe
Other Files with other names e.g. with a "…..enGB.exe“ is greyed out.
Also make sure you have the File in your „Downloads" Folder.

Hope this will help you.